aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAnthony G. Basile <blueness@gentoo.org>2016-06-28 13:51:36 -0400
committerAnthony G. Basile <blueness@gentoo.org>2016-06-28 13:51:36 -0400
commit253f53a1a2955c5c932e124eb369b06c75dc07e0 (patch)
treea6b78b304d1dee0c00d8f7ed89faa4f91f5239bc
parentdev-utils/perf: add support for ppc64le #581746 (diff)
downloadppc64le-253f53a1a2955c5c932e124eb369b06c75dc07e0.zip
ppc64le-253f53a1a2955c5c932e124eb369b06c75dc07e0.tar.gz
ppc64le-253f53a1a2955c5c932e124eb369b06c75dc07e0.tar.bz2
net-misc/gsutil: copy from tree
-rw-r--r--net-misc/gsutil/Manifest3
-rw-r--r--net-misc/gsutil/files/dummy.boto6
-rw-r--r--net-misc/gsutil/files/gsutil-3.37-drop-http_proxy-clearing.patch35
-rw-r--r--net-misc/gsutil/files/gsutil-3.42-use-friendy-version-checks.patch20
-rw-r--r--net-misc/gsutil/files/gsutil-4.18-use-friendy-version-checks.patch25
-rw-r--r--net-misc/gsutil/files/gsutil-4.19-use-friendy-version-checks.patch25
-rw-r--r--net-misc/gsutil/gsutil-3.42.ebuild52
-rw-r--r--net-misc/gsutil/gsutil-4.18.ebuild56
-rw-r--r--net-misc/gsutil/gsutil-4.19.ebuild56
-rw-r--r--net-misc/gsutil/metadata.xml11
10 files changed, 289 insertions, 0 deletions
diff --git a/net-misc/gsutil/Manifest b/net-misc/gsutil/Manifest
new file mode 100644
index 0000000..f2cbdcd
--- /dev/null
+++ b/net-misc/gsutil/Manifest
@@ -0,0 +1,3 @@
+DIST gsutil_3.42.tar.gz 1878904 SHA256 50fc7acb7d1db8752f3eee106a3d8d65188107943e7cb30cfd3f94a9cfcdcf37 SHA512 084aaf43a44528af0cdfd9bd22beeb5d6abff240c09843cf35016d685d51b854ed5b2837eaa50c97bb44d5e1a3cdccbae6688ef27aa13f2a5db6040bf501b381 WHIRLPOOL 5b0d0fb1d2446a7b8777f368f073fdb4f7ad2d6407735976c178a2727a2548bf28522e06469dd0b7df1578d5586bc152fba3520b66f88d706417947aa3aa5578
+DIST gsutil_4.18.tar.gz 2704520 SHA256 b7f2b7fe2f14b3e5ffa0679507be8d84a0add268dff729de53d22b2f5b61ce24 SHA512 74dd2898faa1615dbd7d560a7ed9f2a78788b2f1ce6e97fa5019c55c7827d93de1923f6985f210bb334e8064bdbd7d169f805ac7add722db0f0e20ff0f85494e WHIRLPOOL 6188f1f4ae352a61e9ad4f67afa5773810519d9d96ad1a534dcd3a6ca58b914a336a4682438800bf242573a00a327f52d541810362f84a5104a165a8566dabd5
+DIST gsutil_4.19.tar.gz 2715141 SHA256 6d9ce67de274d080775ed55e3d86edeb1c8c0a942bccdf5e96bdf1eaa51dd8d2 SHA512 59e96c9855a037300feae122462ff3c9f69e46f049812e88087ae532f590e84b81d67b4e961c47bd0f725c87aa6e0360f65bd8935a95a51c61eb80da0b82dcc1 WHIRLPOOL 70ccfa6f462e536f8aee7ef27aef0e9f8ef0d73bad1493959d2a177db675324f5a872bef5c7e7c844b380cabb04d00f6b334f46bc0f021e4ed743a209b4bf677
diff --git a/net-misc/gsutil/files/dummy.boto b/net-misc/gsutil/files/dummy.boto
new file mode 100644
index 0000000..93e9dd2
--- /dev/null
+++ b/net-misc/gsutil/files/dummy.boto
@@ -0,0 +1,6 @@
+# dummy .boto file for testing
+
+[Credentials]
+gs_oauth2_refresh_token = 1/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
+
+[GSUtil]
diff --git a/net-misc/gsutil/files/gsutil-3.37-drop-http_proxy-clearing.patch b/net-misc/gsutil/files/gsutil-3.37-drop-http_proxy-clearing.patch
new file mode 100644
index 0000000..4c36035
--- /dev/null
+++ b/net-misc/gsutil/files/gsutil-3.37-drop-http_proxy-clearing.patch
@@ -0,0 +1,35 @@
+http://crbug.com/318478
+
+From 0067df5b08ebab29b88bbb7e6c1cd79dc4d96100 Mon Sep 17 00:00:00 2001
+From: Mike Frysinger <vapier@gentoo.org>
+Date: Wed, 27 Nov 2013 14:57:05 -0500
+Subject: [PATCH] drop http_proxy clearing
+
+The boto logic takes care of merging the env vars and the settings in its
+boto config file, so there shouldn't be a need to clear things.
+---
+ gslib/__main__.py | 8 --------
+ 1 file changed, 8 deletions(-)
+
+diff --git a/gslib/__main__.py b/gslib/__main__.py
+index 82a69c1..a18db42 100644
+--- a/gslib/__main__.py
++++ b/gslib/__main__.py
+@@ -247,14 +247,6 @@ def main():
+ else:
+ command_name = args[0]
+
+- # Unset http_proxy environment variable if it's set, because it confuses
+- # boto. (Proxies should instead be configured via the boto config file.)
+- if 'http_proxy' in os.environ:
+- if debug > 1:
+- sys.stderr.write(
+- 'Unsetting http_proxy environment variable within gsutil run.\n')
+- del os.environ['http_proxy']
+-
+ return _RunNamedCommandAndHandleExceptions(
+ command_runner, command_name, args[1:], headers, debug,
+ parallel_operations)
+--
+1.8.4.3
+
diff --git a/net-misc/gsutil/files/gsutil-3.42-use-friendy-version-checks.patch b/net-misc/gsutil/files/gsutil-3.42-use-friendy-version-checks.patch
new file mode 100644
index 0000000..5d8bbbc
--- /dev/null
+++ b/net-misc/gsutil/files/gsutil-3.42-use-friendy-version-checks.patch
@@ -0,0 +1,20 @@
+--- a/setup.py
++++ b/setup.py
+@@ -33,15 +33,13 @@ management tasks, including:
+ """
+
+ requires = [
+- 'boto==2.22.1',
++ 'boto>=2.22.1',
+ 'httplib2>=0.8',
+ 'python-gflags>=2.0',
+ 'google-api-python-client>=1.1',
+ 'pyOpenSSL>=0.13',
+ 'crcmod>=1.7',
+- # Not using 1.02 because of:
+- # https://code.google.com/p/socksipy-branch/issues/detail?id=3
+- 'SocksiPy-branch==1.01',
++ 'SocksiPy-branch>=1.01',
+ 'retry_decorator>=1.0.0',
+ ]
+
diff --git a/net-misc/gsutil/files/gsutil-4.18-use-friendy-version-checks.patch b/net-misc/gsutil/files/gsutil-4.18-use-friendy-version-checks.patch
new file mode 100644
index 0000000..ebc8832
--- /dev/null
+++ b/net-misc/gsutil/files/gsutil-4.18-use-friendy-version-checks.patch
@@ -0,0 +1,25 @@
+--- a/setup.py
++++ b/setup.py
+@@ -35,10 +35,10 @@
+ """
+
+ requires = [
+- 'boto==2.38.0',
++ 'boto>=2.38.0',
+ 'crcmod>=1.7',
+ 'gcs-oauth2-boto-plugin>=1.12',
+- 'google-apitools==0.5.2',
++ 'google-apitools>=0.5.2',
+ 'httplib2>=0.8',
+- 'oauth2client==1.5.2',
++ 'oauth2client>=1.5.2',
+ 'pyOpenSSL>=0.13',
+@@ -48,7 +48,7 @@
+ 'six>=1.9.0',
+ # Not using 1.02 because of:
+ # https://code.google.com/p/socksipy-branch/issues/detail?id=3
+- 'SocksiPy-branch==1.01',
++ 'SocksiPy-branch>=1.01',
+ ]
+
+ dependency_links = [
diff --git a/net-misc/gsutil/files/gsutil-4.19-use-friendy-version-checks.patch b/net-misc/gsutil/files/gsutil-4.19-use-friendy-version-checks.patch
new file mode 100644
index 0000000..66d8144
--- /dev/null
+++ b/net-misc/gsutil/files/gsutil-4.19-use-friendy-version-checks.patch
@@ -0,0 +1,25 @@
+--- a/setup.py
++++ b/setup.py
+@@ -35,10 +35,10 @@
+ """
+
+ requires = [
+- 'boto==2.39.0',
++ 'boto>=2.39.0',
+ 'crcmod>=1.7',
+ 'gcs-oauth2-boto-plugin>=1.12',
+- 'google-apitools==0.5.2',
++ 'google-apitools>=0.5.2',
+ 'httplib2>=0.8',
+- 'oauth2client==1.5.2',
++ 'oauth2client>=1.5.2',
+ 'pyOpenSSL>=0.13',
+@@ -48,7 +48,7 @@
+ 'six>=1.9.0',
+ # Not using 1.02 because of:
+ # https://code.google.com/p/socksipy-branch/issues/detail?id=3
+- 'SocksiPy-branch==1.01',
++ 'SocksiPy-branch>=1.01',
+ ]
+
+ dependency_links = [
diff --git a/net-misc/gsutil/gsutil-3.42.ebuild b/net-misc/gsutil/gsutil-3.42.ebuild
new file mode 100644
index 0000000..9becc05
--- /dev/null
+++ b/net-misc/gsutil/gsutil-3.42.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit distutils-r1
+
+DESCRIPTION="command line tool for interacting with cloud storage services"
+HOMEPAGE="https://github.com/GoogleCloudPlatform/gsutil"
+SRC_URI="http://commondatastorage.googleapis.com/pub/${PN}_${PV}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE=""
+
+DEPEND="${PYTHON_DEPS}"
+RDEPEND="${DEPEND}
+ >=dev-python/boto-2.22.1[${PYTHON_USEDEP}]
+ >=dev-python/crcmod-1.7
+ >=dev-python/httplib2-0.8[${PYTHON_USEDEP}]
+ >=dev-python/pyopenssl-0.13[${PYTHON_USEDEP}]
+ >=dev-python/google-api-python-client-1.1[${PYTHON_USEDEP}]
+ >=dev-python/python-gflags-2.0[${PYTHON_USEDEP}]
+ >=dev-python/retry-decorator-1.0.0[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ >=dev-python/PySocks-1.01[${PYTHON_USEDEP}]
+ "
+
+S=${WORKDIR}/${PN}
+
+DOCS=( README.md CHANGES.md )
+
+PATCHES=(
+ "${FILESDIR}/${P}-use-friendy-version-checks.patch"
+ "${FILESDIR}/${PN}-3.37-drop-http_proxy-clearing.patch"
+)
+
+python_prepare_all() {
+ distutils-r1_python_prepare_all
+ sed \
+ -e '/SocksiPy-branch/d' \
+ -i setup.py || die
+}
+
+python_test() {
+ export BOTO_CONFIG=${FILESDIR}/dummy.boto
+ ${PYTHON} gslib/__main__.py test -u || die "tests failed"
+}
diff --git a/net-misc/gsutil/gsutil-4.18.ebuild b/net-misc/gsutil/gsutil-4.18.ebuild
new file mode 100644
index 0000000..86367bd
--- /dev/null
+++ b/net-misc/gsutil/gsutil-4.18.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit distutils-r1
+
+DESCRIPTION="command line tool for interacting with cloud storage services"
+HOMEPAGE="https://github.com/GoogleCloudPlatform/gsutil"
+SRC_URI="http://commondatastorage.googleapis.com/pub/${PN}_${PV}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE=""
+
+# The oauth2client-2 dep sucks.
+# https://github.com/GoogleCloudPlatform/gsutil/issues/355
+RDEPEND="${PYTHON_DEPS}
+ >=dev-python/boto-2.38.0[${PYTHON_USEDEP}]
+ >=dev-python/crcmod-1.7[${PYTHON_USEDEP}]
+ >=dev-python/httplib2-0.8[${PYTHON_USEDEP}]
+ >=dev-python/pyopenssl-0.13[${PYTHON_USEDEP}]
+ >=dev-python/gcs-oauth2-boto-plugin-1.12[${PYTHON_USEDEP}]
+ >=dev-python/google-apitools-0.5.2[${PYTHON_USEDEP}]
+ >=dev-python/oauth2client-1.5.2[${PYTHON_USEDEP}]
+ <dev-python/oauth2client-2
+ >=dev-python/python-gflags-2.0[${PYTHON_USEDEP}]
+ >=dev-python/retry-decorator-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+ >=dev-python/PySocks-1.01[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]"
+
+S=${WORKDIR}/${PN}
+
+DOCS=( README.md CHANGES.md )
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-4.18-use-friendy-version-checks.patch
+)
+
+python_prepare_all() {
+ distutils-r1_python_prepare_all
+ sed \
+ -e '/SocksiPy-branch/d' \
+ -i setup.py || die
+}
+
+python_test() {
+ export BOTO_CONFIG=${FILESDIR}/dummy.boto
+ ${PYTHON} gslib/__main__.py test -u || die "tests failed"
+}
diff --git a/net-misc/gsutil/gsutil-4.19.ebuild b/net-misc/gsutil/gsutil-4.19.ebuild
new file mode 100644
index 0000000..ea1c3e1
--- /dev/null
+++ b/net-misc/gsutil/gsutil-4.19.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit distutils-r1
+
+DESCRIPTION="command line tool for interacting with cloud storage services"
+HOMEPAGE="https://github.com/GoogleCloudPlatform/gsutil"
+SRC_URI="http://commondatastorage.googleapis.com/pub/${PN}_${PV}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE=""
+
+# The oauth2client-2 dep sucks.
+# https://github.com/GoogleCloudPlatform/gsutil/issues/355
+RDEPEND="${PYTHON_DEPS}
+ >=dev-python/boto-2.39.0[${PYTHON_USEDEP}]
+ >=dev-python/crcmod-1.7[${PYTHON_USEDEP}]
+ >=dev-python/httplib2-0.8[${PYTHON_USEDEP}]
+ >=dev-python/pyopenssl-0.13[${PYTHON_USEDEP}]
+ >=dev-python/gcs-oauth2-boto-plugin-1.12[${PYTHON_USEDEP}]
+ >=dev-python/google-apitools-0.5.2[${PYTHON_USEDEP}]
+ >=dev-python/oauth2client-1.5.2[${PYTHON_USEDEP}]
+ <dev-python/oauth2client-2
+ >=dev-python/python-gflags-2.0[${PYTHON_USEDEP}]
+ >=dev-python/retry-decorator-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+ >=dev-python/PySocks-1.01[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]"
+
+S=${WORKDIR}/${PN}
+
+DOCS=( README.md CHANGES.md )
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-4.19-use-friendy-version-checks.patch
+)
+
+python_prepare_all() {
+ distutils-r1_python_prepare_all
+ sed -i \
+ -e '/SocksiPy-branch/d' \
+ setup.py || die
+}
+
+python_test() {
+ export BOTO_CONFIG=${FILESDIR}/dummy.boto
+ ${PYTHON} gslib/__main__.py test -u || die "tests failed"
+}
diff --git a/net-misc/gsutil/metadata.xml b/net-misc/gsutil/metadata.xml
new file mode 100644
index 0000000..df60255
--- /dev/null
+++ b/net-misc/gsutil/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>vapier@gentoo.org</email>
+ </maintainer>
+ <upstream>
+ <remote-id type="google-code">gsutil</remote-id>
+ <remote-id type="github">GoogleCloudPlatform/gsutil</remote-id>
+ </upstream>
+</pkgmetadata>